Bug 198922 - Review Request: dejavu-lgc-fonts
Review Request: dejavu-lgc-fonts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-14 12:52 EDT by Behdad Esfahbod
Modified: 2013-01-09 20:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 12:23:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Behdad Esfahbod 2006-07-14 12:52:06 EDT
Spec URL: http://www.cs.toronto.edu/~behdad/fedora/dejavu-lgc-fonts/dejavu-lgc-fonts.spec
SRPM URL: http://www.cs.toronto.edu/~behdad/fedora/dejavu-lgc-fonts/dejavu-lgc-fonts-2.7-1.src.rpm
Description:

The DejaVu LGC fonts are high-quality Latin/Greek/Cyrillic fonts based on
Bitstream Vera fonts ((http://gnome.org/fonts/)).  Its purpose is to provide a
wider range of characters while maintaining the original look and feel.

Discussion:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=170218

Matthias Clasen and I decided to only push the Latin/Greek/Cyrillic version into core.
Comment 1 Behdad Esfahbod 2006-07-14 12:53:26 EDT
Lacks fontconfig configuration right now.  Working on it.
Comment 2 Bill Nottingham 2006-07-14 15:10:46 EDT
Tech ack. Are we not obsoleting Vera?

Out of curiousity, what locales does this give us *new* coverage with, outside
of Greek?
Comment 3 Behdad Esfahbod 2006-07-15 23:32:48 EDT
(In reply to comment #2)
> Tech ack. Are we not obsoleting Vera?

Not yet, as we are still evaluating it.  Withdrawal is not quite out of question
yet.

 
> Out of curiousity, what locales does this give us *new* coverage with, outside
> of Greek?

I don't know.  Most people just report whether DejaVu works for them, not LGC. 
So it's a bit hard to know.  The langcover.txt in the tarball is empty.
Comment 4 Jesse Keating 2006-07-17 13:47:38 EDT
NEEDSWORK:
- buildroot is wrong


RPMLINT just complains about the license, but you include the license so thats OK.

Fix the buildroot and I approve.

I've added to dist-fc6 owner besfahbo@redhat.com

How should this go into Comps?  How will it get installed on people's systems?

Please close this report when you've built for rawhide.
Comment 5 Matthias Clasen 2006-07-17 15:11:02 EDT
The proposal for test2 is to put dejavu in the default install in comps and 
add a fontconfig conf file that makes dejavu the default. That will allow us
to see if people find serious issues with dejavu.

I have imported the package into cvs now, and fixed the buildroot.
I'm waiting for the mentioned fontconfig snipplet from Behdad, then I'll
build it.
Comment 6 Sarantis Paskalis 2006-07-18 02:50:22 EDT
Could you please package the newer 2.8 version of dejavu-lgc?  As far as I can
see  it has some fixes for cyrillic and hinting for greek among other things for
the lgc variant.

Thanks.
Comment 7 Matthias Clasen 2006-07-18 12:23:33 EDT
dejavu-lgc-fonts-2.8-1 should appear in rawhide tonight

Note You need to log in before you can comment on or make changes to this bug.